
/**
 * BankAccount class with interest support (demonstrates loops)
 * 
 * @author John Paul Vergara
 * @version 08/09/2005
 */

public class BankAccount
{

    private double balance;
    
    public BankAccount( double initBal )
    {
        balance = initBal;
    }
    
    public void deposit( double amount )
    {
        balance += amount;
    }
    
    public void withdraw( double amount )
    {
        if ( amount <= balance )
        {
            balance -= amount;
        }
        else
        {
            System.out.println( "Insufficient balance" );
        }
    }
    
    public void applyInterest( double intRate )
    {
        double interest = balance*intRate/100;
        balance += interest;
    }

    /**
     * This method computes interest for three months
     * given a monthly interest
     */
    public void applyQtrlyInterest( double intRate )
    {
        // intRate is monthly interest rate
        double interest;
        int i;
        for( i = 1; i <= 3; i++ )
        {
            interest = balance*intRate/100;
            balance += interest;
            System.out.print( "Month " + i + "- interest: " + interest );
            System.out.println( ", balance: " + balance );
        }
        System.out.println("-----");
    }
    
    public double getBalance()
    {
        return balance;
    }
    
}
